<?php
    /*
    * Module APlayerFP pour Joomla! 3.x
    * Version J3.1F
    * Creation date: Octobre 2015
    * Author: Fabrice4821 - www.gmapfp.org
    * Author email: webmaster@gmapfp.org
	* License GNU/GPL
    */

defined('_JEXEC') or die;
jimport( 'joomla.filesystem.folder' ); 
jimport( 'joomla.filesystem.file' ); 

$path = 'modules/mod_aplayerfp/';
$compurl = JURI::base(). $path;
$id = $module->id;
$audio_folder = $path.'audio/'.$id.'/';
$lang = JFactory::getLanguage();
$num = rand();
$doc = JFactory::getDocument();
$theme = $params->get('theme', 'classic');

	JHtml::_('jquery.framework');	
	
	// Définition de JUri::base() sans tenir compte du paramètre $config->get('live_site') de la config principale
	$uri = JUri::getInstance();
	$base['prefix'] = $uri->toString(array('scheme', 'host', 'port'));
	if (strpos(php_sapi_name(), 'cgi') !== false && !ini_get('cgi.fix_pathinfo') && !empty($_SERVER['REQUEST_URI']))
		$script_name = $_SERVER['PHP_SELF'];
	else $script_name = $_SERVER['SCRIPT_NAME'];
	$base['path'] = rtrim(dirname($script_name), '/\\');
	$Base_URL = $base['prefix'] . $base['path'] . '/';
	
	$doc->addScriptDeclaration('
		var aplayerfp_song = [];
		var aplayerfp_tracker = [];
		var aplayerfp_volume = [];
		var aplayerfp_url = "'.$Base_URL.$path.'";
	');

	if ($params->get('SliderColor', ''))
		$doc->addStyleDeclaration('#aplayerfp_'.$id.' .ui-slider-range { background-color: '.$params->get('SliderColor').'; }');
?>
<!-- APlayerFP module de GMapFP -->

<?php
	require_once(JPATH_ROOT.'/modules/mod_aplayerfp/fields/getid3/getid3.php');
		$getID3 = new getID3; 
		$getID3->option_md5_data        = true; 
		$getID3->option_md5_data_source = true; 
		$getID3->encoding               = 'UTF-8'; 
		
	$dirFiles = array();
	// opens images folder
	if ($handle = @opendir($audio_folder)) {
		while (false !== ($file = readdir($handle))) {
			// strips files extensions      
			$crap   = array("mp3", "wav", "ogg");    
		   // hides folders, writes out ul of images and thumbnails from two folders
		   $extension = strtolower(substr(strrchr($file,'.'),1));
			if (in_array($extension, $crap) && $file != "." && $file != ".." && $file != "index.html" ) {
				$info = $getID3->analyze($audio_folder.$file);
					$album			= ''; 
					$title			= (isset($info['id3v2']['comments']['title'])		? implode(' ',$info['id3v2']['comments']['title'])  	: ''); 
					$playing_time	= (isset($info['playtime_seconds'])         		? round($info['playtime_seconds'])  		: ''); 
					$comment		= (isset($info['id3v2']['comments']['comment'])		? implode(' ',$info['id3v2']['comments']['comment'])	: ''); 
				$dirFiles[] = array('url' => $file, 'album' => $album, 'titre' => $title, 'time' => $playing_time, 'comment' => $comment);
			}
		}
		closedir($handle);
	}
	sort($dirFiles);
	$audio_list = array();
	$first = true;
	$cnt = 1;
	foreach($dirFiles as $file)
	{
		$class = '';
		if ($first) {
			$class = 'class="active"';
		}
		$number = $cnt.'. ';
		$cnt++;
		if (!$params->get('showCounter', '')) $number = '';
		$minutes = substr ('00' . floor($file['time'] / 60), -2);
		$secondes = substr ('00' . $file['time'] % 60, -2);
		$time = '<span class="text_time pull-right">'.$minutes.':'.$secondes.'</span>';
		if ($params->get('showAlbum', '') && $file['album']) $album = $file['album'].' / ';
			else $album = '';
		$titre = (!empty($file['titre'])	? $file['titre']	: $file['url']); 																																																																														if ($cnt<5)
		$audio_list[] = '<li audiourl="'.$file['url'].'" album="" titre="'.$file['titre'].'" time="'.$file['time'].'" comment="'.$file['comment'].'" '.$class.'>'.$number.$album.$titre.$time.'</li>';
	}

	require JModuleHelper::getLayoutPath('mod_aplayerfp', $theme);
?>

<!-- End APlayerFP module -->