<?php
    /*
    * Module APlayerFP pour Joomla! 3.x
    * Version J3.1P
    * Creation date: Octobre 2015
    * Author: Fabrice4821 - www.gmapfp.org
    * Author email: webmaster@gmapfp.org
	* License GNU/GPL
    */

defined('_JEXEC') or die;

	//pour être sur que jQuery soit lancé avant
	if (!defined('JS_CLASSIC_PLAYER')) {
		$doc->addCustomTag( '<script type="text/javascript" src="'.$compurl.'themes/'.$theme.'/jquery-ui-custom.min.js"></script>');
		$doc->addCustomTag( '<script type="text/javascript" src="'.$compurl.'themes/'.$theme.'/'.$theme.'.js"></script>');
		$doc->addStyleSheet( $compurl.'themes/'.$theme.'/'.$theme.'.css');
		define('JS_CLASSIC_PLAYER', true);
	}
	$doc->addCustomTag( '<script type="text/javascript">jQuery(window).on(\'load\',  function() {apalyerfp_classic('.$id.')});</script>');
?>
<div class="aplayerfp_classic">
	<div class="player" id="aplayerfp_<?php echo $id; ?>">
		<div class="pl"></div>
		<div class="title"></div>
		<div class="album"></div>
		<div class="cover"></div>
		<div class="controls">
			<div class="play"></div>
			<div class="pause"></div>
			<div class="rew"></div>
			<div class="fwd"></div>
		</div>
		<div class="volume"></div>
		<div class="tracker"></div>
	</div>
	<ul class="playlist" <?php if ($params->get('show_playlist', 'true')=='false') echo 'style="display: none;"'?> id="aplayerfp_list_<?php echo $id; ?>">
		<?php
			foreach ($audio_list as $audio) {
				echo $audio."\n";
			}
		?>
	</ul>
</div>
<?php
	$html = '<div class="galleryfp_copyright">';
	$link = @file_get_contents('http://www.gmapfp.org/link.txt');
	if ($link) {
		$link = explode("\n", $link);
		$html .= '<div style="text-align:center;">';
		$html .= JText::_('MOD_GALERIE_FP_SPONSOR_LINK').'<a href="'.$link[1].'" target="_blank">'.$link[0].'</a>';
		$html .= '</div>';
	}
	$html .= '<div style="text-align:center;">';
	$html .= '<a href="http://gmapfp.org" target="_blank">GMapFP</a> : '.JText::_('MOD_GALERIE_FP_COPYRIGHT');
	$html .= '</div></div>';
	// echo $html;
?>
